<div class="liste">
  <div class="container">
    <div class="datepicker">
    <mat-icon (click)="changeDateLeft()">
        keyboard_arrow_left
    </mat-icon>

    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Choose a date</mat-label>
      <input (dateChange)="dateChanged()" matInput [max]="maxDate" [matDatepicker]="picker" [formControl]="dateControl">
      <mat-hint>MM.DD.YYYY</mat-hint>
      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker></mat-datepicker>
    </mat-form-field>

    <mat-icon (click)="changeDateRight()" *ngIf="isCurrentDateMaxDate()">
        keyboard_arrow_right
    </mat-icon>
    </div>
    <div class="button">
      <button class="btn" mat-raised-button color="primary" (click)="aktuellePeriode()">Aktuelle Periode freigeben</button>
      <button class="btn" mat-raised-button color="primary" (click)="letztePeriode()">Letzte Periode freigeben</button>
    </div>
  </div>
  <div class="container2">
    <mat-form-field appearance="fill">
        <mat-label>Startuhrzeit</mat-label>
        <input type="time" matInput name="week" [formControl]="time_start" (change)="setMinTime()" [min]="max_time">
        <mat-hint class="hint"><mat-error *ngIf="validatorTest()">{{errorMessage}}</mat-error></mat-hint>
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Enduhrzeit</mat-label>
      <input type="time" matInput name="week" [formControl]="time_end" (change)="setMaxTime()" [max]="min_time">
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Arbeitszeitmodell</mat-label>
      <mat-select [(value)]="selected">
        <mat-option value="ATIW">ATIW</mat-option>
        <mat-option value="Mobil">Mobil</mat-option>
      </mat-select>
    </mat-form-field>

        <mat-form-field appearance="fill">
          <mat-label>Bemerkung</mat-label>
          <input matInput [formControl]="description">
      </mat-form-field>
    <div class="addButton">
      <button mat-fab color="primary" (click)="addWorktime()" [disabled]="validatorTest()">
        <mat-icon>add</mat-icon>
      </button>
    </div>
</div>

    <div class="worktimeList">
      <div *ngFor="let worktime of worktimes">
        <mat-accordion multi >
            <mat-expansion-panel >
            <mat-expansion-panel-header >
                <mat-panel-title >
                  {{worktime.time_start}}Uhr bis {{worktime.time_end}}Uhr
                </mat-panel-title>
                    <mat-panel-description>
                        {{worktime.type}}
                    </mat-panel-description>
                </mat-expansion-panel-header>
                <div>{{worktime.description}}</div>
                <div class="btnDelete">
                 <button mat-icon-button (click)="deleteItem(worktime)">
                    <mat-icon class="delete">delete</mat-icon>
                 </button>
                </div>
            </mat-expansion-panel>
        </mat-accordion>
      </div>
    </div>
